MonoDevelop 2.4 available now

I’ve finished uploading the latest version of the cross-platform MonoDevelop IDE to Debian Experimental. MonoDevelop is a full-blown IDE for working on software written in C#, Visual Basic.NET, Python, Vala, Java (via IKVM.NET), C, C++, and Boo. It also integrates support for debugging (both of C-based apps via GDB, and Mono-based apps via MDB or the new Soft Debugger), GUI design of C# apps, version control via Subversion, database querying, unit testing, and more.

Oh, and for good luck, I’ve also uploaded it to badgerports.org (which should now display okay on smaller displays), for use with Ubuntu 10.04, where support for authoring with Moonlight is included. It’ll be in the main Ubuntu 10.10 repository at some point in the future, also with Moonlight support.

Enjoy.

14 Responses to “MonoDevelop 2.4 available now”

  1. Hi,

    just tried your packages. Work pretty well. Though the vala plugin can’t find libafrodite, which is available from[0]

    thanks for the packages

    Gregor

    [0] http://code.google.com/p/vtg/

    [reply]

    directhex Reply:

    @Gregor Burger, you’d need to talk to the Vala packagers about that – I have no interest in Vala, and it’s their job to take care of stuff like vtg

    [reply]

  2. Cant thank you enough mate.

    [reply]

  3. I read the release for Monodevelop 2.4, and was wondering if I had to go to openSUSE to get my hands on it.

    Thanks for the info, Monodevelop looks better.

    [reply]

  4. [...] Pro Tweets MonoDevelop 2.4 now available for Debianites and Ubuntites: http://www2.apebox.org/wordpress/linux/258/ migueldeicaza – Fri 18 Jun 15:44 All Things [...]

  5. Great – can’t wait to give this a try.
    Thankyou

    [reply]

  6. Why don’t you use hardy-backports and lucid-backports instead?

    [reply]

    directhex Reply:

    @foo, Mono has so many rdeps, it’s considered too risky to backport it (due to the high risk of regressions).

    [reply]

  7. Vala code can also be debugged in MonoDevelop using gdb. :-)

    [reply]

    directhex Reply:

    @Tak, really? I did not know this – makes sense though I guess

    [reply]

  8. Thanks.

    Tho still not feeling the debian \ ubuntu love here..

    [reply]

    directhex Reply:

    @ragnarokr, howso?

    [reply]

  9. Is 4.0 support compiled?

    [reply]

    directhex Reply:

    No. 4.0 support in the 2.6 series is pretty hairy – half the time, it doesn’t even compile.

    [reply]

Leave a Reply